use maud::{html, PreEscaped};

use crate::templates;

pub fn not_found() -> PreEscaped<String> {
    let back = "/".to_string();
    let title = "404 Not Found".to_string();

    let content = html! {
        div class="card center" {
            div class="capsule-container" {
                div class="capsule info-border" {
                    p { "No PeachCloud resource exists for this URL. Please ensure that the URL in the address bar is correct." }
                    p { "Click the back arrow in the top-left or the PeachCloud logo at the bottom of your screen to return Home." }
                }
            }
        }
    };

    templates::base::base(back, title, content)
}
