use log::debug;
use rouille::Response;

use crate::templates;

pub fn network() -> Response {
    debug!("received GET request for: /status/network");

    Response::html(templates::status::network())
}

pub fn status() -> Response {
    debug!("received GET request for: /status");

    Response::html(templates::status::status())
}
